C
C   RETRIEVAL PROGRAM TO READ AND PRINT ANY OF THE GEOSECS
C   SHOREBASED/SHIPBOARD RADIOCARBON DATA FILES (ATLANTIC,
C   PACIFIC, AND INDIAN OCEANS FILES -  NDP027.ATL, NDP027.PAC,
C   AND NDP027.IND)
C
C  READ AND PRINT THE FIRST HEADER RECORD
C
      DIMENSION CODE(2),STATN(3)
  1   CONTINUE
      READ(5,10) MREC,NATION,ROSID,SQ,ONESQ,TWOSQ,FIVESQ,HEMLAT,
     1 DEGLAT,MINLAT,MINTEN,HEMLON,DEGLON,MINLON,LONTEN,YEAR,
     2 MONTH,DAY,CODE,BDEPTH,ODEPTH,SDEPTH
 10   FORMAT(1X,I1,A3,9X,I2,2X,I4,I2,I2,I1,A1,I2,I2,I1,A1,I3,
     1 I2,I1,1X,I2,I2,I2,3X,2A3,I5,10X,I4,I4)
      WRITE(6,15) MREC,NATION,ROSID,SQ,ONESQ,TWOSQ,FIVESQ,HEMLAT,
     1 DEGLAT,MINLAT,MINTEN,HEMLON,DEGLON,MINLON,LONTEN,YEAR,
     2 MONTH,DAY,CODE,BDEPTH,ODEPTH,SDEPTH
 15   FORMAT(/,1X,I1,A3,9X,I2,2X,I4,I2,I2,I1,A1,I2,I2,I1,A1,I3,
     1 I2,I1,1X,I2,I2,I2,3X,2A3,I5,9X,I4,I4)
C
C  READ AND PRINT THE SECOND HEADER RECORD
C
      READ(5,20) CRUISE,STATN,NUMOBS,NUMDET
 20   FORMAT(14X,A3,3A3,35X,I3,2X,I3)
      WRITE(6,25) CRUISE,STATN,NUMOBS,NUMDET
 25   FORMAT(14X,A3,3A3,35X,I3,2X,I3)
 26   CONTINUE
C
C  READ AND PRINT THE RADIOCARBON DATA
C
      READ(5,30,END=99) CAST,BOT,DEPTH,TEMP,SALIN,C14,CARB14
 30   FORMAT(2X,I2,I2,2X,I5,2X,F6.3,2X,F6.3,2X,F6.1,2X,F6.1)
      WRITE(6,35) CAST,BOT,DEPTH,TEMP,SALIN,C14,CARB14
 35   FORMAT(2X,I2,I2,2X,I5,2X,F6.3,2X,F6.3,2X,F6.1,2X,F6.1)
      IF(CAST .EQ. 0) GOTO 1
      GOTO 26
 99   CONTINUE
      STOP
      END
